Package Halberd :: Package clues :: Module file |
[show private | hide private]
[frames | no frames]

## Module Halberd.clues.file

Utilities for clue storage.

Provides functionality needed to store clues on disk.

Classes
`ClueDir` | Stores clues hierarchically using the underlying filesystem.

Exceptions
`InvalidFile` | The loaded file is not a valid clue file.

Function Summary
`list` | ``load`(filename)` Load clues from file.
| ``save`(filename, clues)` Save a clues to a file.

Function Details

### load(filename) Load clues from file. Parameters: `filename` - Name of the files where the clues are stored. (type=`str`) Returns: Clues extracted from the file. (type=`list`) Raises: `InvalidFile` - In case there's a problem while reinterpreting the clues.

### save(filename, clues) Save a clues to a file. Parameters: `filename` - Name of the file where the clues will be written to. (type=`str`) `clues` - Sequence of clues to write. (type=`list`)

Generated by Epydoc 2.1 on Wed Jul 18 22:25:57 2007 | http://epydoc.sf.net